Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class UserCard.Builder

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.UserCard.Builder

Enclosing class:
  `UserCard`

public static class UserCard.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserCard`
  `build()`
  `UserCard.Builder`
  `setBasecardId(int basecardId)`
  `UserCard.Builder`
  `setComment(String comment)`
  `UserCard.Builder`
  `setContractId(int contractId)`
  `UserCard.Builder`
  `setDate1(Date date1)`
  `UserCard.Builder`
  `setDate2(Date date2)`
  `UserCard.Builder`
  `setId(int value)`
  `UserCard.Builder`
  `setNeedSync(boolean needSync)`
  `UserCard.Builder`
  `setNumber(long number)`
  `UserCard.Builder`
  `setObjectId(int objectId)`
  `UserCard.Builder`
  `setSubscrDate(Date changeSubscrDate)`
  `UserCard.Builder`
  `setUserdeviceId(int userdeviceId)`
  `UserCard.Builder`
  `setUserdeviceSN(String userdeviceSN)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public UserCard.Builder setId(int value)

  - ### setContractId

    public UserCard.Builder setContractId(int contractId)

  - ### setNumber

    public UserCard.Builder setNumber(long number)

  - ### setDate1

    public UserCard.Builder setDate1(Date date1)

  - ### setDate2

    public UserCard.Builder setDate2(Date date2)

  - ### setSubscrDate

    public UserCard.Builder setSubscrDate(Date changeSubscrDate)

  - ### setComment

    public UserCard.Builder setComment(String comment)

  - ### setBasecardId

    public UserCard.Builder setBasecardId(int basecardId)

  - ### setObjectId

    public UserCard.Builder setObjectId(int objectId)

  - ### setUserdeviceId

    public UserCard.Builder setUserdeviceId(int userdeviceId)

  - ### setNeedSync

    public UserCard.Builder setNeedSync(boolean needSync)

  - ### setUserdeviceSN

    public UserCard.Builder setUserdeviceSN(String userdeviceSN)

  - ### build

    public UserCard build()